LIBJXL

Loading...
Searching...
No Matches
Public Attributes | List of all members
JxlMemoryManagerStruct Struct Reference
JPEG XL library (libjxl) » Common API concepts

`#include <memory_manager.h>`

## Public Attributes
void * | opaque
jpegxl_alloc_func | alloc
jpegxl_free_func | free

## Detailed Description

Memory Manager struct. These functions, when provided by the caller, will be used to handle memory allocations.

## Member Data Documentation

## ◆ alloc

jpegxl_alloc_func JxlMemoryManagerStruct::alloc

Memory allocation function. This can be NULL if and only if also the free() member in this class is NULL. All dynamic memory will be allocated and freed with these functions if they are not NULL, otherwise with the standard malloc/free.

## ◆ free

jpegxl_free_func JxlMemoryManagerStruct::free

Free function matching the alloc() member.

## ◆ opaque

void* JxlMemoryManagerStruct::opaque

The opaque pointer that will be passed as the first parameter to all the functions in this struct.

The documentation for this struct was generated from the following file:

- jxl/memory_manager.h